directories:
  output: build
  buildResources: build
productName: caue-intranet
appId: com.caue.intranet
extraResources:
  - filter:
      - ./src/renderer/shell/**
      - ./src/renderer/static/**
files:
  - filter:
      - dist/electron/**/*
dmg:
  contents:
    - x: 410
      'y': 150
      type: link
      path: /Applications
    - x: 130
      'y': 150
      type: file
afterSign: scripts/notarize.js
mac:
  icon: build/icons/icon.icns
  target: default
  darkModeSupport: true
  type: distribution
  hardenedRuntime: true
  gatekeeperAssess: false
  entitlements: build/entitlements.mac.plist
  entitlementsInherit: build/entitlements.mac.plist
win:
  icon: build/icons/icon.ico
  target: portable
linux:
  icon: build/icons
publish:
  - provider: generic
    url: 'https://appintranet.caue971.org/'
electronVersion: 7.3.3
